{ config, modulesPath, lib, ... }:
{
  imports = [
    "${modulesPath}/profiles/qemu-guest.nix"
  ];

  config = {
    boot.growPartition = true;
    boot.loader.grub.device = "/dev/sda";

    fileSystems."/" = lib.mkDefault { device = "/dev/disk/by-partlabel/disk-main-root"; fsType = "ext4"; };

    networking.useNetworkd = true;
    networking.useDHCP = true;
  };
}